#ifndef SWIFT_DYLIB_LIBRARY_H
#define SWIFT_DYLIB_LIBRARY_H

#include <swift/stdlib.h>

#include <swift/dylib/api.h>
#include <swift/dylib/types.h>

typedef struct swift_lib_t swift_lib_t;

SWIFT_DYLIB_API swift_lib_t *swift_open_lib(const char *path);
SWIFT_DYLIB_API void swift_close_lib(swift_lib_t *lib);
SWIFT_DYLIB_API swift_fn_t swift_get_code_sym(swift_lib_t *lib,
	const char *sym);
SWIFT_DYLIB_API void *swift_get_data_sym(swift_lib_t *lib,
	const char *sym);

#endif /* SWIFT_DYLIB_LIBRARY_H */
